<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.15" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structwiced__bt__gatt__discovery__result__t" kind="struct" language="C++" prot="public">
    <compoundname>wiced_bt_gatt_discovery_result_t</compoundname>
    <includes local="no">wiced_bt_gatt.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structwiced__bt__gatt__discovery__result__t_1ac30b8e67726231107d8e22135ccb584e" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t wiced_bt_gatt_discovery_result_t::conn_id</definition>
        <argsstring />
        <name>conn_id</name>
        <briefdescription>
<para>ID of the connection. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_gatt.h" bodystart="703" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_gatt.h" line="703" />
      </memberdef>
      <memberdef id="structwiced__bt__gatt__discovery__result__t_1ac160510322b5a0b6301855cb9715f205" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__wicedbt__gatt_1ga9ce8b7b2a10d8e1f851d62aa931b0e18">wiced_bt_gatt_discovery_type_t</ref></type>
        <definition>wiced_bt_gatt_discovery_type_t wiced_bt_gatt_discovery_result_t::discovery_type</definition>
        <argsstring />
        <name>discovery_type</name>
        <briefdescription>
<para>Discovery type (see <ref kindref="member" refid="group__wicedbt__gatt_1ga0e2e092eec5b3ddc2ce8ce377d7f4bb2">wiced_bt_gatt_discovery_type_t </ref>) </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_gatt.h" bodystart="704" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_gatt.h" line="704" />
      </memberdef>
      <memberdef id="structwiced__bt__gatt__discovery__result__t_1afde1dd19032d8e21a949c00f706b7d1e" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="unionwiced__bt__gatt__discovery__data__t">wiced_bt_gatt_discovery_data_t</ref></type>
        <definition>wiced_bt_gatt_discovery_data_t wiced_bt_gatt_discovery_result_t::discovery_data</definition>
        <argsstring />
        <name>discovery_data</name>
        <briefdescription>
<para>Discovery data. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_gatt.h" bodystart="705" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_gatt.h" line="705" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Discovery result (used by GATT_DISCOVERY_RESULT_EVT notification) </para>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <collaborationgraph>
      <node id="463">
        <label>wiced_bt_gatt_discovery_data_t</label>
        <link refid="unionwiced__bt__gatt__discovery__data__t" />
        <childnode refid="464" relation="usage">
          <edgelabel>characteristic_declaration</edgelabel>
        </childnode>
        <childnode refid="466" relation="usage">
          <edgelabel>group_value</edgelabel>
        </childnode>
        <childnode refid="467" relation="usage">
          <edgelabel>included_service</edgelabel>
        </childnode>
        <childnode refid="468" relation="usage">
          <edgelabel>char_descr_info</edgelabel>
        </childnode>
      </node>
      <node id="467">
        <label>wiced_bt_gatt_included_service_t</label>
        <link refid="structwiced__bt__gatt__included__service__t" />
        <childnode refid="465" relation="usage">
          <edgelabel>service_type</edgelabel>
        </childnode>
      </node>
      <node id="466">
        <label>wiced_bt_gatt_group_value_t</label>
        <link refid="structwiced__bt__gatt__group__value__t" />
        <childnode refid="465" relation="usage">
          <edgelabel>service_type</edgelabel>
        </childnode>
      </node>
      <node id="462">
        <label>wiced_bt_gatt_discovery_result_t</label>
        <link refid="structwiced__bt__gatt__discovery__result__t" />
        <childnode refid="463" relation="usage">
          <edgelabel>discovery_data</edgelabel>
        </childnode>
      </node>
      <node id="465">
        <label>wiced_bt_uuid_t</label>
        <link refid="structwiced__bt__uuid__t" />
      </node>
      <node id="464">
        <label>wiced_bt_gatt_char_declaration_t</label>
        <link refid="structwiced__bt__gatt__char__declaration__t" />
        <childnode refid="465" relation="usage">
          <edgelabel>char_uuid</edgelabel>
        </childnode>
      </node>
      <node id="468">
        <label>wiced_bt_gatt_char_descr_info_t</label>
        <link refid="structwiced__bt__gatt__char__descr__info__t" />
        <childnode refid="465" relation="usage">
          <edgelabel>type</edgelabel>
        </childnode>
      </node>
    </collaborationgraph>
    <location bodyend="706" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_gatt.h" bodystart="701" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_gatt.h" line="702" />
    <listofallmembers>
      <member prot="public" refid="structwiced__bt__gatt__discovery__result__t_1ac30b8e67726231107d8e22135ccb584e" virt="non-virtual"><scope>wiced_bt_gatt_discovery_result_t</scope><name>conn_id</name></member>
      <member prot="public" refid="structwiced__bt__gatt__discovery__result__t_1afde1dd19032d8e21a949c00f706b7d1e" virt="non-virtual"><scope>wiced_bt_gatt_discovery_result_t</scope><name>discovery_data</name></member>
      <member prot="public" refid="structwiced__bt__gatt__discovery__result__t_1ac160510322b5a0b6301855cb9715f205" virt="non-virtual"><scope>wiced_bt_gatt_discovery_result_t</scope><name>discovery_type</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>